= nng_stat_string(3)
//
// Copyright 2020 Staysail Systems, Inc. <info@staysail.tech>
// Copyright 2018 Capitar IT Group BV <info@capitar.com>
//
// This document is supplied under the terms of the MIT License, a
// copy of which should be located in the distribution where this
// file was obtained (LICENSE.txt).  A copy of the license may also be
// found online at https://opensource.org/licenses/MIT.
//

== NAME

nng_stat_string - get statistic string value

== SYNOPSIS

[source, c]
----
#include <nng/nng.h>

typedef struct nng_stat nng_stat;

const char *nng_stat_string(nng_stat *stat);
----

== DESCRIPTION

The `nng_stat_string()` function returns a string value for the statistic _stat_,
which must be of type `NNG_STAT_STRING` (see xref:nng_stat_type.3.adoc[`nng_stat_type(3)`]).

If the statistic is not of type `NNG_STAT_STRING`, then `NULL` will be returned.

NOTE: The returned string is valid until xref:nng_stats_free.3.adoc[`nng_stats_free()`] is called to
free the memory for the snapshot.

== RETURN VALUES

The string value associated with _stat_, or `NULL` if the statistic is not
a string type.

== ERRORS

None.

== SEE ALSO

[.text-left]
xref:libnng.3.adoc[libnng(3)],
xref:nng_stats_get.3.adoc[nng_stats_get(3)],
xref:nng_stat_type.3.adoc[nng_stats_type(3)],
xref:nng_stat_value.3.adoc[nng_stats_value(3)],
xref:nng_stat.5.adoc[nng_stat(5)],
xref:nng.7.adoc[nng(7)]
